[jboss-cvs] JBossAS SVN: r89538 - projects/jboss-osgi/trunk/hudson/hudson-home.

jboss-cvs-commits at lists.jboss.org jboss-cvs-commits at lists.jboss.org
Fri May 29 17:44:49 EDT 2009


Author: thomas.diesler at jboss.com
Date: 2009-05-29 17:44:49 -0400 (Fri, 29 May 2009)
New Revision: 89538

Modified:
   projects/jboss-osgi/trunk/hudson/hudson-home/command.sh
Log:
default runtime profile has no HttpService

Modified: projects/jboss-osgi/trunk/hudson/hudson-home/command.sh
===================================================================
--- projects/jboss-osgi/trunk/hudson/hudson-home/command.sh	2009-05-29 21:22:55 UTC (rev 89537)
+++ projects/jboss-osgi/trunk/hudson/hudson-home/command.sh	2009-05-29 21:44:49 UTC (rev 89538)
@@ -51,7 +51,7 @@
   ;;
   'runtime')
 	RUNTIME_HOME=$DISTRODIR/auto-install-dest/runtime
-	RUNTIME_LOG=$RUNTIME_HOME/log/server.log
+	RUNTIME_LOG=$RUNTIME_HOME/server/$JBOSS_SERVER/log/server.log
   ;;
   *)
 	echo "Unsupported container: $CONTAINER"
@@ -87,16 +87,30 @@
 echo $MVN_CMD; $MVN_CMD | tee $WORKSPACE/dependency-tree.txt
 
 #
-# start jbossas
+# start jbossas/runtime
 #
 $HUDSONBIN/startup.sh $RUNTIME_HOME start $JBOSS_BINDADDR
 
+#
+# The default runtime profile has no HttpService
+# Just wait 10sec for it to come up.
+#
+if [ "$CONTAINER" = "runtime" ]; then
+	SLEEP_TIME = 10
+    echo "Wait $SLEEP_TIME seconds"
+	sleep $SLEEP_TIME
+fi
+
+#
 # Was it successfully started?
-$HUDSONBIN/http-spider.sh $JBOSS_BINDADDR:8090/jboss-osgi $WORKSPACE
-if [ -e $WORKSPACE/spider.failed ]; then
-  tail -n 200 $RUNTIME_LOG
-  $HUDSONBIN/startup.sh $RUNTIME_HOME stop
-  exit 1
+#
+if [ "$CONTAINER" != "runtime" ]; then
+	$HUDSONBIN/http-spider.sh $JBOSS_BINDADDR:8090/jboss-osgi $WORKSPACE
+	if [ -e $WORKSPACE/spider.failed ]; then
+	  tail -n 200 $RUNTIME_LOG
+	  $HUDSONBIN/startup.sh $RUNTIME_HOME stop
+	  exit 1
+	fi
 fi
 
 #




More information about the jboss-cvs-commits mailing list